<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddSWBom Method (IEdmBomMgr3)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBomMgr3 Interface : AddSWBom Method (IEdmBomMgr3)

Visual Basic
C#
C++/CLI

lDocumentID
  ID of document

lProjectID
  ID of project where document resides

lDocRevNr
  Version number of document

poSWBom
  IEdmSWBom

Adds the specified SOLIDWORKS BOM to the specified document.

# Syntax

Visual Basic |
--- | ---

    Sub AddSWBom( _
       ByVal lDocumentID As System.Integer, _
       ByVal lProjectID As System.Integer, _
       ByVal lDocRevNr As System.Integer, _
       ByVal poSWBom As EdmSWBom _
    )

C# |
--- | ---

    void AddSWBom(
       System.int lDocumentID,
       System.int lProjectID,
       System.int lDocRevNr,
       EdmSWBom poSWBom
    )

C++/CLI |
--- | ---

    void AddSWBom(
    &   System.int lDocumentID,
    &   System.int lProjectID,
    &   System.int lDocRevNr,
    &   EdmSWBom^ poSWBom
    )

#### Parameters

lDocumentID
  ID of document
lProjectID
  ID of project where document resides
lDocRevNr
  Version number of document
poSWBom
  IEdmSWBom

# Example

See the IEdmBomMgr3 examples.

# See Also

####

IEdmBomMgr3 Interface
IEdmBomMgr3 Members

# Availability

SOLIDWORKS PDM Professional 2021 SP03